Package org.flowable.bpmn.model

# Class StartEvent

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Event
org.flowable.bpmn.model.StartEvent

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`, `HasOutParameters`

Direct Known Subclasses:
  `AlfrescoStartEvent`

public class StartEvent extends Event

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `formKey`
  `protected List<FormProperty>`
  `formProperties`
  `protected String`
  `initiator`
  `protected boolean`
  `isInterrupting`
  `protected boolean`
  `sameDeployment`
  `protected String`
  `validateFormFields`

  ### Fields inherited from class org.flowable.bpmn.model.Event

  `eventDefinitions, inParameters, outParameters`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StartEvent`
  `clone()`
  `String`
  `getFormKey()`
  `List<FormProperty>`
  `getFormProperties()`
  `String`
  `getInitiator()`
  `String`
  `getValidateFormFields()`
  `boolean`
  `isInterrupting()`
  `boolean`
  `isSameDeployment()`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setFormProperties(List<FormProperty> formProperties)`
  `void`
  `setInitiator(String initiator)`
  `void`
  `setInterrupting(boolean isInterrupting)`
  `void`
  `setSameDeployment(boolean sameDeployment)`
  `void`
  `setValidateFormFields(String validateFormFields)`
  `void`
  `setValues(StartEvent otherEvent)`

  ### Methods inherited from class org.flowable.bpmn.model.Event

  `addEventDefinition, addInParameter, addOutParameter, getEventDefinitions, getInParameters, getOutParameters, setEventDefinitions, setInParameters, setOutParameters, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### initiator

    protected String initiator

  - ### formKey

    protected String formKey

  - ### sameDeployment

    protected boolean sameDeployment

  - ### isInterrupting

    protected boolean isInterrupting

  - ### validateFormFields

    protected String validateFormFields

  - ### formProperties

    protected List<FormProperty> formProperties

- ## Constructor Details

  - ### StartEvent

    public StartEvent()

- ## Method Details

  - ### getInitiator

    public String getInitiator()

  - ### setInitiator

    public void setInitiator(String initiator)

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)

  - ### isInterrupting

    public boolean isInterrupting()

  - ### setInterrupting

    public void setInterrupting(boolean isInterrupting)

  - ### getFormProperties

    public List<FormProperty> getFormProperties()

  - ### setFormProperties

    public void setFormProperties(List<FormProperty> formProperties)

  - ### getValidateFormFields

    public String getValidateFormFields()

  - ### setValidateFormFields

    public void setValidateFormFields(String validateFormFields)

  - ### clone

    public StartEvent clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(StartEvent otherEvent)